<?php
function template($file,$ersetzen) {

		global $template_text, $grafiken, $templates_ordner, $smilie_ordner, $style_ordner, $include_pfad;

		$template[$file] = implode("", file($include_pfad.$style_ordner."/".$templates_ordner."/".$file.".htm"));
		$template[$file] = str_replace("\"","\\\"", $template[$file]);

		if(!strlen($ersetzen) == 0) {

			$ersetzen_a = explode("||", $ersetzen);

			for($i=0;$i<=count($ersetzen_a);$i++) {
				$ersetzen_b = @explode("->", $ersetzen_a[$i]);
				$template[$file] = @str_replace($ersetzen_b[0],$template_text[$ersetzen_b[1]],$template[$file]);
			}
		}

		$template[$file] = str_replace("[imagefolder]",$include_pfad.$style_ordner."/".$grafiken,$template[$file]);
		$template[$file] = str_replace("[smiliefolder]",$include_pfad.$style_ordner."/".$smilie_ordner,$template[$file]);
		$template[$file] = str_replace("[stylefolder]",$include_pfad.$style_ordner,$template[$file]);

	return stripslashes($template[$file]);
}

function bb_code($text,$html_an_aus = 0,$bbcode = 1) {

		if($bbcode != 1) {
			if($html_an_aus == 0) {
				return nl2br(htmlspecialchars($text));
			} else {
				return nl2br($text);
			}
		}

		if($html_an_aus == 0) {
			$text = htmlspecialchars($text);
		}

		$zeile = explode("\n",$text);

		for($u=0;$u<=count($zeile);$u++) {

			$worte = @explode(" ",$zeile[$u]);
			$count = count($worte)-1;

			if($count >= 0) {

				for($i=0;$i<=$count;$i++) {

					$ohne_bbcode = preg_replace("/\[(.*?)\]/si", "", trim($worte[$i]));
					if((substr_count($ohne_bbcode, "http://") + substr_count($ohne_bbcode, "https://") + substr_count($ohne_bbcode, "www.") + substr_count($ohne_bbcode, "ftp://")) <= 0) {

						if(strlen($ohne_bbcode) >= 85) {

							$worte[$i] = chunk_split($worte[$i],85,"-<br />");
							$worte[$i] = substr($worte[$i],0,strlen($worte[$i])-7);
						}
					}
	
					$ausgabe[$u] = implode(" ",$worte); 
				}

			} else {

				$ausgabe[$u] = chunk_split($zeile[$u],85,"-<br />");
			}
		}
		$text = implode("\n",$ausgabe);

		//[B]text[/B] -> <b>text</b>
		$text = preg_replace("/\[b\](.*?)\[\/b\]/si","<b>\\1</b>", $text);

		//[I]text[/I] -> <i>text</i>
		$text = preg_replace("/\[i\](.*?)\[\/i\]/si","<i>\\1</i>", $text);

		//[U]text[/U] -> <u>text</u>
		$text = preg_replace("/\[u\](.*?)\[\/u\]/si","<u>\\1</u>", $text);

		//[CENTER]text[/CENTER] -> <center>text</center>
		$text = preg_replace("/\[center](.*?)\[\/center\]/si","<center>\\1</center>", $text);

		//[RIGHT]text[/RIGHT] -> <div align="right">text</div>
		$text = preg_replace("/\[right](.*?)\[\/right\]/si","<div align=\"right\">\\1</div>", $text);

		//[URL=http://www.domain.com]domain.com[/URL] -> <a href="http://www.domain.com" target="_blank">domain.com</a>
		$text = preg_replace("/\[url=http:\/\/(.*?)\](.*?)\[\/url\]/si","<a href=\"http://\\1\" target=\"_blank\">\\2</a>", $text);

		//[URL=www.domain.com]domain.com[/URL] -> <a href="http://www.domain.com" target="_blank">domain.com</a>
		$text = preg_replace("/\[url=(.*?)\](.*?)\[\/url\]/si","<a href=\"http://\\1\" target=\"_blank\">\\2</a>", $text);

		//[EMAIL=deine@email.de]e-mail[/EMAIL] -> <a href="mailto:deine@email.de">e-mail</a>
		$text = preg_replace("/\[email=(.*?)\](.*?)\[\/email\]/si","<a href=\"mailto:\\1\">\\2</a>", $text);

		//[QUOTE]text[/QUOTE] -> <br /><br /><div><i>Zitat:</i><br />text</div><br />
		$text = preg_replace("/\[quote\](.*?)\[\/quote\]/si","<br /><br /><div><i>Zitat:</i><br />\\1</div><br />", $text);

		//[CODE]text[/CODE] -> <br /><br /><div>CODE:<br /><br /><pre>text</pre></div><br />
		$text = preg_replace("/\[code\](.*?)\[\/code\]/si","<br /><br /><div>CODE:<br /><br /><pre>\\1</pre></div><br />", $text);

		//[COLOR=blue]text[/COLOR] -> <font color="blue">text</font>
		$text = preg_replace("/\[color=(.*?)\](.*?)\[\/color\]/si","<font color=\"\\1\">\\2</font>", $text);

		//[SIZE=1]text[/SIZE] -> <font size="1">text</font>
		$text = preg_replace("/\[size=(.*?)\](.*?)\[\/size\]/si","<font size=\"\\1\">\\2</font>", $text);

		//[IMG]bild.jpg[/IMG] -> <img src="bild.jpg" border="0">
		$text = preg_replace("/\[img\](.*?)\[\/img\]/si","<img src=\"\\1\" border=\"0\" alt=\"\">", $text);

		//[M]text[/M] -> <marquee>text</marquee>
		$text = preg_replace("/\[m\](.*?)\[\/m\]/si","<marquee>\\1</marquee>", $text);

		//Smilies ersetzen
		global $host, $user, $pass, $database, $smilie_table, $style_ordner;
		$sql_connect2 = @mysql_pconnect($host, $user, $pass) or die ("Verbindung mit MySQL-Server fehlgechlagen!");
		@mysql_select_db($database, $sql_connect2) or die ("Verbindung zur Datenbank fehlgeschlagen!");

		$sql = "SELECT * FROM {$smilie_table}";
		$result = mysql_query($sql, $sql_connect2);

		while ($row = mysql_fetch_assoc($result)) {

			$text = str_replace($row['smiliezeichen'],"<img src=\"[smiliefolder]/{$row['pfad']}\" alt=\"{$row['beschreibung']}\" border=\"0\">",$text);
		}

	return nl2br($text);
}

function show() {
		$var_klein = array("a","b","c","d","e","f","g","h","i","j","k","l","m","n","o","p","q","r","s","t","u","v","w","x","y","z","","","");
		$var_gross = array("A","B","C","D","E","F","G","H","I","J","K","L","M","N","O","P","Q","R","S","T","U","V","W","X","Y","Z","","","");
//					  0   1   2   3   4   5   6   7   8   9   10  11  12  13  14  15  16  17  18  19  20  21  22  23  24  25  26  27  28
		$zahl = array(0,1,2,3,4,5,6,7,8,9);
		$s_zeichen = array(".","(",")","-",",");

//		$text[] = $var_gross[3].$var_klein[8].$var_klein[4].$var_klein[18];
		$text[] = $var_klein[8].$var_klein[18].$var_klein[19];
		$text[] = $var_klein[3].$var_klein[8].$var_klein[4];
		$text[] = $var_gross[21].$var_klein[4].$var_klein[17].$var_klein[18].$var_klein[8].$var_klein[14].$var_klein[13];
		$text[] = $zahl[3].$s_zeichen[0].$zahl[0].$s_zeichen[4];


//$var_gross[].
//$var_klein[].

//Dies ist die Version 3.0,
//|welche von www.simple-scripts.de stammt. (c) by www.simple-scripts.de
		
	return implode(" ", $text);
}
?>
